Skip to:
Content

BuddyPress.org

Opened 2 years ago

Closed 2 years ago

#8610 closed defect (bug) (fixed)

BP Dynamic blocks are generating JS errors into the WP 5.9 Site Editor

Reported by: imath's profile imath Owned by: imath's profile imath
Milestone: 9.2.0 Priority: normal
Severity: normal Version:
Component: REST API Keywords: has-patch
Cc:

Description

Something has changed between WP 5.8 and WP 5.9. The front-end scripts of the friends, dynamic members and dynamic groups are loaded within the WP Admin context. In this context the dynamically generated blocks are not available and this causes a JavaScript error.

Attachments (1)

8610.patch (1.3 KB) - added by imath 2 years ago.

Download all attachments as: .zip

Change History (3)

@imath
2 years ago

#1 @imath
2 years ago

In 13204:

Make sure front-end JS for dynamic blocks are not loaded in WP Admin

See #8610 (trunk)

#2 @imath
2 years ago

  • Resolution set to fixed
  • Status changed from assigned to closed

In 13205:

Make sure front-end JS for dynamic blocks are not loaded in WP Admin

Fixes #8610 (branch 9.0)

Note: See TracTickets for help on using tickets.